SuportePainel
Loja

Listar configurações da loja

Lista as configurações vigentes, já resolvidas por precedência.

GET/manager/store/config/get

Authorization

bearerAuth gatewayKey
AuthorizationBearer <token>

Token JWT no formato: Bearer {token}

In: header

ocp-apim-subscription-key<token>

Gateway Token recebido na criacao da loja.

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.smarttef.mobi/manager/store/config/get"
[
  {
    "config_id": 412,
    "name": "pooling_time",
    "value": "30",
    "active": true,
    "description": "Intervalo em segundos entre listagens",
    "store_id": 1,
    "integrator_id": null
  },
  {
    "config_id": 8,
    "name": "logo",
    "value": "https://storage.blob.com/smart-tef/integrator-logo-3.png",
    "active": true,
    "description": "Logo exibida no app",
    "store_id": null,
    "integrator_id": 3
  }
]

{
  "status": 401,
  "data": {
    "message": [
      "Unauthorized",
      "Token não e do tipo loja, verifique se o token está correto.",
      "token not corresponds",
      "Store not found",
      "Store is not active or is blocked",
      "Store is blocked. <cache>"
    ],
    "timestamp": "2026-02-09T12:00:00.000Z",
    "path": "/manager/store/config/get"
  }
}

{
  "status": 404,
  "data": {
    "message": "Store not found",
    "timestamp": "2026-02-09T12:00:00.000Z",
    "path": "/manager/store/config/get"
  }
}

{
  "status": 500,
  "data": {
    "message": "Internal Server Error",
    "timestamp": "2026-02-09T12:00:00.000Z",
    "path": "/manager/store/config/get"
  }
}